<?php
require_once("../config/conexion.php");
require_once("../models/Apoderados.php");

$apoderados = new Apoderados();

switch ($_GET["op"]) {


    case "eliminar":
        $apoderados->delete_apoderados($_POST["apo_id"]);
        echo json_encode(["success" => true]);
        break;
        
    case "mostrar":
        $datos = $apoderados->get_apoderados_por_id($_POST["apo_id"]);
        echo json_encode($datos);
        break;

    case "guardaryeditar":
        $apo_id = isset($_POST["apo_id"]) ? $_POST["apo_id"] : "";
        $apo_nombre = $_POST["apo_nombre"];
        $apo_rut = $_POST["apo_rut"];
        $apo_email = $_POST["apo_email"];
        $apo_telefono = $_POST["apo_telefono"];
        $apo_direccion = $_POST["apo_direccion"];

        $apoderados->insert_or_update_apoderados($apo_id, $apo_nombre, $apo_rut, $apo_email, $apo_telefono, $apo_direccion);
        echo json_encode(["success" => true]);
        break;

    case "select_apoderados":
            $data = $apoderados->get_apoderados_select(); 
            echo json_encode($data);
            break;


    case "listar":

        $datos = $apoderados->get_apoderados();
        $data=Array();

        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] =  $row["apo_id"];
            $sub_array[] =  $row["apo_nombre"];
            $sub_array[] =  $row["apo_rut"];
            $sub_array[] =  $row["apo_email"];
            $sub_array[] =  $row["apo_telefono"];
            $sub_array[] =  $row["apo_direccion"];
            $sub_array[] =  $row["created_at"];                
            $sub_array[] = '<button type="button" onClick="editar('.$row["apo_id"].')" id="'.$row["apo_id"].'" class="btn btn-warning btn-xs">Editar</button>';
            $sub_array[] = '<button type="button" onClick="eliminar('.$row["apo_id"].')" id="'.$row["apo_id"].'" class="btn btn-danger btn-xs">Eliminar</button>';
            $data[] = $sub_array;
 
        }


            //TODO: Se prepara la respuesta en formato JSON
            $results = array(
                "sEcho"=>1,
                "iTotalRecords"=>count($data),
                "iTotalDisplayRecords"=>count($data),
                "aaData"=>$data);
            echo json_encode($results);
            break;
   
      
    }
?>
